defmodule Explode.Mixfile do
  use Mix.Project

  def project do
    [app: :explode,
     version: "1.0.0",
     elixir: "~> 1.3",
     description: description(),
     package: package(),
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     test_coverage: [tool: ExCoveralls],
     deps: deps()]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [applications: [:logger]]
  end

  # Dependencies can be Hex packages:
  #
  #   {:mydep, "~> 0.3.0"}
  #
  # Or git/path repositories:
  #
  #   {:mydep, git: "https://github.com/elixir-lang/mydep.git", tag: "0.1.0"}
  #
  # Type "mix help deps" for more examples and options
  defp deps do
    [{:poison, "~> 2.1 or ~> 3.0"},
     {:ecto, ">= 2.0.0"},
     {:plug, "~> 1.0", only: :test},
     {:ex_doc, ">= 0.0.0", only: :dev}]
  end

  defp description do
    """
    An easy utility for responding with standard HTTP/JSON error payloads in Plug- and Phoenix-based applications.
    """
  end

  defp package do
    [
      files: ["lib", "mix.exs", "README*"],
      maintainers: ["Powell Kinney"],
      licenses: ["MIT"],
      links: %{"GitHub" => "https://github.com/pkinney/explode"}
    ]
  end
end
